Bug 457789 - gsynaptics segfault
gsynaptics segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gsynaptics (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 12:41 EDT by Rex Dieter
Modified: 2009-07-14 10:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-08-04 12:41:00 EDT
$ rpm -q gsynaptics
gsynaptics-0.9.14-1.fc9.x86_64

$ gsynaptics

** (gsynaptics:9040): WARNING **: Using synclient
Segmentation fault

I can work harder to get a backtrace if you want.
Comment 1 András Szilárd 2008-11-30 08:03:31 EST
I have the same / similar problem:

[root@localhost ~]# /usr/sbin/synaptic
Segmentation fault
[root@localhost ~]# rpm -qif /usr/sbin/synaptic
rpmdb: Thread/process 4744/140008792721136 failed: Thread died in Berkeley DB library
Name        : synaptic                     Relocations: (not relocatable)
Version     : 0.57.2                            Vendor: Fedora Project
Release     : 17.fc10                       Build Date: Sat 02 Aug 2008 02:53:14 AM CEST
Install Date: Fri 28 Nov 2008 10:50:51 PM CET      Build Host: x86-5
Group       : Applications/System           Source RPM: synaptic-0.57.2-17.fc10.src.rpm
Size        : 4018459                          License: GPLv2+
Signature   : DSA/SHA1, Wed 29 Oct 2008 06:04:28 AM CET, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://www.nongnu.org/synaptic/
Summary     : Graphical frontend for APT package manager.
Description :
Synaptic is a graphical package management
program for apt. It provides the same features as the apt-get command line
utility with a GUI front-end based on Gtk+

[root@localhost ~]# gdb /usr/sbin/synaptic
GNU gdb Fedora (6.8-29.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
rpmdb: Thread/process 4744/140008792721136 failed: Thread died in Berkeley DB library
(no debugging symbols found)
Missing separate debuginfos, use: debuginfo-install synaptic-0.57.2-17.fc10.x86_64
(gdb) start
Function "main" not defined.
Make breakpoint pending on future shared library load? (y or [n])  
Starting program: /usr/sbin/synaptic 
(no debugging symbols found)
...
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
(no debugging symbols found)
...
(no debugging symbols found)
[New Thread 0x7fb571d40790 (LWP 5169)]
(no debugging symbols found)
...
(no debugging symbols found)
Detaching after fork from child process 5172.
Detaching after fork from child process 5173.
Detaching after fork from child process 5174.
Detaching after fork from child process 5175.
Detaching after fork from child process 5176.
Detaching after fork from child process 5177.

Program received signal SIGSEGV, Segmentation fault.
0x00000038558e8c50 in ?? () from /usr/lib64/libapt-pkg.so.3
(gdb) q
The program is running.  Exit anyway? (y or n) y
Comment 2 András Szilárd 2008-12-01 13:39:48 EST
Starting as a regular user, providing the root password in the GUI resulted in:
$ synaptic 
*** glibc detected *** synaptic: free(): invalid pointer: 0x00000000010c99f8 ***
======= Backtrace: =========
/lib64/libc.so.6[0x384e477e98]
/lib64/libc.so.6(cfree+0x76)[0x384e47a456]
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so[0xac7581]
/usr/lib64/gtk-2.0/modules/libgnomebreakpad.so[0xac7769]
/lib64/libpthread.so.0[0x384f00f0f0]
/usr/lib64/libapt-pkg.so.3[0x38558e8c50]
/usr/lib64/libapt-pkg.so.3(luaC_collectgarbage+0x76)[0x38558e9646]
/usr/lib64/libapt-pkg.so.3(lua_pushcclosure+0xa5)[0x38558e4045]
/usr/lib64/liblua-5.1.so(luaL_openlibs+0x2a)[0x384de2227a]
/usr/lib64/librpmio-4.6.so(rpmluaNew+0x38)[0x3854c17778]
/usr/lib64/librpmio-4.6.so(rpmluaGetPrintBuffer+0x29)[0x3854c181a9]
/usr/lib64/librpm-4.6.so(rpmReadConfigFiles+0x24f)[0x385544b86f]
/usr/lib64/libapt-pkg.so.3(_ZN9rpmSystem5ScoreERK13Configuration+0x29)[0x3855892c09]
/usr/lib64/libapt-pkg.so.3(_Z13pkgInitSystemR13ConfigurationRP9pkgSystem+0x88)[0x38558b6358]
synaptic[0x4497a7]
synaptic[0x4130fd]
/lib64/libc.so.6(__libc_start_main+0xe6)[0x384e41e546]
synaptic(_ZNSt8ios_base4InitD1Ev+0x59)[0x411f09]
======= Memory map: ========
00110000-0011c000 r-xp 00000000 fd:00 3935092                            /lib64/libnss_files-2.9.so
0011c000-0031b000 ---p 0000c000 fd:00 3935092                            /lib64/libnss_files-2.9.so
0031b000-0031c000 r--p 0000b000 fd:00 3935092                            /lib64/libnss_files-2.9.so
0031c000-0031d000 rw-p 0000c000 fd:00 3935092                            /lib64/libnss_files-2.9.so
00400000-004a8000 r-xp 00000000 fd:00 7725272                            /usr/sbin/synaptic
006a8000-006ae000 rw-p 000a8000 fd:00 7725272                            /usr/sbin/synaptic
006ae000-006b0000 rw-p 006ae000 00:00 0 
008ad000-008b3000 rw-p 000ad000 fd:00 7725272                            /usr/sbin/synaptic
008b3000-008c6000 r-xp 00000000 fd:00 2827942                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
008c6000-00ac5000 ---p 00013000 fd:00 2827942                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
00ac5000-00ac6000 rw-p 00012000 fd:00 2827942                            /usr/lib64/gtk-2.0/2.10.0/engines/libnodoka.so
00ac6000-00ac8000 r-xp 00000000 fd:00 2828518                            /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
00ac8000-00cc7000 ---p 00002000 fd:00 2828518                            /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
00cc7000-00cc8000 rw-p 00001000 fd:00 2828518                            /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
00cc8000-00ccc000 r-xp 00000000 fd:00 2828144                            /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
00ccc000-00ecc000 ---p 00004000 fd:00 2828144                            /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
00ecc000-00ecd000 rw-p 00004000 fd:00 2828144                            /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0100f000-010ea000 rw-p 0100f000 00:00 0                                  [heap]
384d000000-384d020000 r-xp 00000000 fd:00 4309017                        /lib64/ld-2.9.so
384d21f000-384d220000 r--p 0001f000 fd:00 4309017                        /lib64/ld-2.9.so
384d220000-384d221000 rw-p 00020000 fd:00 4309017                        /lib64/ld-2.9.so
384d400000-384d52d000 r-xp 00000000 fd:00 4309019                        /lib64/libdb-4.5.so
384d52d000-384d72d000 ---p 0012d000 fd:00 4309019                        /lib64/libdb-4.5.so
384d72d000-384d732000 rw-p 0012d000 fd:00 4309019                        /lib64/libdb-4.5.so
384de00000-384de2a000 r-xp 00000000 fd:00 7857689                        /usr/lib64/liblua-5.1.so
384de2a000-384e029000 ---p 0002a000 fd:00 7857689                        /usr/lib64/liblua-5.1.so
384e029000-384e02b000 rw-p 00029000 fd:00 7857689                        /usr/lib64/liblua-5.1.so
384e400000-384e568000 r-xp 00000000 fd:00 3934776                        /lib64/libc-2.9.so
384e568000-384e768000 ---p 00168000 fd:00 3934776                        /lib64/libc-2.9.so
384e768000-384e76c000 r--p 00168000 fd:00 3934776                        /lib64/libc-2.9.so
384e76c000-384e76d000 rw-p 0016c000 fd:00 3934776                        /lib64/libc-2.9.so
384e76d000-384e772000 rw-p 384e76d000 00:00 0 
384e800000-384e884000 r-xp 00000000 fd:00 3934802                        /lib64/libm-2.9.so
384e884000-384ea83000 ---p 00084000 fd:00 3934802                        /lib64/libm-2.9.so
384ea83000-384ea84000 r--p 00083000 fd:00 3934802                        /lib64/libm-2.9.so
384ea84000-384ea85000 rw-p 00084000 fd:00 3934802                        /lib64/libm-2.9.so
384ec00000-384ec02000 r-xp 00000000 fd:00 3935059                        /lib64/libdl-2.9.so
384ec02000-384ee02000 ---p 00002000 fd:00 3935059                        /lib64/libdl-2.9.so
384ee02000-384ee03000 r--p 00002000 fd:00 3935059                        /lib64/libdl-2.9.so
384ee03000-384ee04000 rw-p 00003000 fd:00 3935059                        /lib64/libdl-2.9.so
384f000000-384f017000 r-xp 00000000 fd:00 3934794                        /lib64/libpthread-2.9.so
384f017000-384f216000 ---p 00017000 fd:00 3934794                        /lib64/libpthread-2.9.so
384f216000-384f217000 r--p 00016000 fd:00 3934794                        /lib64/libpthread-2.9.so
384f217000-384f218000 rw-p 00017000 fd:00 3934794                        /lib64/libpthread-2.9.so
384f218000-384f21c000 rw-p 384f218000 00:00 0 
384f400000-384f415000 r-xp 00000000 fd:00 3935067                        /lib64/libz.so.1.2.3
384f415000-384f614000 ---p 00015000 fd:00 3935067                        /lib64/libz.so.1.2.3
384f614000-384f615000 rw-p 00014000 fd:00 3935067                        /lib64/libz.so.1.2.3
384f800000-384f805000 r-xp 00000000 fd:00 7857282                        /usr/lib64/libXdmcp.so.6.0.0
384f805000-384fa04000 ---p 00005000 fd:00 7857282                        /usr/lib64/libXdmcp.so.6.0.0
384fa04000-384fa05000 rw-p 00004000 fd:00 7857282                        /usr/lib64/libXdmcp.so.6.0.0
384fc00000-384fc01000 r-xp 00000000 fd:00 7857284                        /usr/lib64/libxcb-xlib.so.0.0.0
384fc01000-384fe00000 ---p 00001000 fd:00 7857284                        /usr/lib64/libxcb-xlib.so.0.0.0
384fe00000-384fe01000 rw-p 00000000 fd:00 7857284                        /usr/lib64/libxcb-xlib.so.0.0.0
3850000000-3850002000 r-xp 00000000 fd:00 7857281                        /usr/lib64/libXau.so.6.0.0
3850002000-3850201000 ---p 00002000 fd:00 7857281                        /usr/lib64/libXau.so.6.0.0
3850201000-3850202000 rw-p 00001000 fd:00 7857281                        /usr/lib64/libXau.so.6.0.0
3850400000-3850505000 r-xp 00000000 fd:00 7857285                        /usr/lib64/libX11.so.6.2.0
3850505000-3850705000 ---p 00105000 fd:00 7857285                        /usr/lib64/libX11.so.6.2.0
3850705000-385070b000 rw-p 00105000 fd:00 7857285                        /usr/lib64/libX11.so.6.2.0
3850800000-385081a000 r-xp 00000000 fd:00 7857283                        /usr/lib64/libxcb.so.1.0.0
385081a000-3850a1a000 ---p 0001a000 fd:00 7857283                        /usr/lib64/libxcb.so.1.0.0
3850a1a000-3850a1b000 rw-p 0001a000 fd:00 7857283                        /usr/lib64/libxcb.so.1.0.0
3850c00000-3850c10000 r-xp 00000000 fd:00 7857286                        /usr/lib64/libXext.so.6.4.0
3850c10000-3850e10000 ---p 00010000 fd:00 7857286                        /usr/lib64/libXext.so.6.4.0
3850e10000-3850e11000 rw-p 00010000 fd:00 7857286                        /usr/lib64/libXext.so.6.4.0
3851000000-3851008000 r-xp 00000000 fd:00 3935122                        /lib64/librt-2.9.so
3851008000-3851207000 ---p 00008000 fd:00 3935122                        /lib64/librt-2.9.so
3851207000-3851208000 r--p 00007000 fd:00 3935122                        /lib64/librt-2.9.so
3851208000-3851209000 rw-p 00008000 fd:00 3935122                        /lib64/librt-2.9.so
3851400000-38514e0000 r-xp 00000000 fd:00 3935118                        /lib64/libglib-2.0.so.0.1800.2
38514e0000-38516df000 ---p 000e0000 fd:00 3935118                        /lib64/libglib-2.0.so.0.1800.2
38516df000-38516e1000 rw-p 000df000 fd:00 3935118                        /lib64/libglib-2.0.so.0.1800.2
38Multiple segmentation faults occurred; can't display error dialog
Comment 3 Bug Zapper 2009-06-09 22:22:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:01:40 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.